Package org.bgerp.dao.process

# Class ProcessLinkProcessSearchDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.process.ProcessSearchDAO
org.bgerp.dao.process.ProcessLinkProcessSearchDAO

public class ProcessLinkProcessSearchDAO extends ProcessSearchDAO
Fluent DAO for selection parent or child linked processes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<Integer>`
  `excludeIds`
  `protected Set<Integer>`
  `executorIds`
  `protected final DynActionForm`
  `form`
  User request context for isolations
  `protected String`
  `idOrDescriptionLike`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessLinkProcessSearchDAO(Connection con)`
  `ProcessLinkProcessSearchDAO(Connection con, DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `filterExecutor(PreparedQuery pq)`
  `protected void`
  `filterId(PreparedQuery pq)`
  `protected void`
  `filterIdOrDescriptionLike(PreparedQuery pq)`
  `protected void`
  `filterOpen(PreparedQuery pq)`
  `protected void`
  `filterStatus(PreparedQuery pq)`
  `protected void`
  `filterType(PreparedQuery pq)`
  `ProcessLinkProcessSearchDAO`
  `order(Order value)`
  Selection order.
  `protected void`
  `order(PreparedQuery pq)`
  `void`
  `search(Pageable<Pair<String,Process>> result, boolean link, int processId)`
  Queries processes.
  `ProcessLinkProcessSearchDAO`
  `withLinkType(Set<String> value)`
  Filter by process to process link type.
  `ProcessLinkProcessSearchDAO`
  `withOpen(Boolean value)`
  Filter by process closing date
  `ProcessLinkProcessSearchDAO`
  `withType(Set<Integer> value)`
  Filter by process type ID

  ### Methods inherited from class org.bgerp.dao.process.ProcessSearchDAO

  `search, withExecutor, withIdOrDescriptionLike, withoutId, withStatus`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### form

    protected final DynActionForm form
    User request context for isolations

  - ### executorIds

    protected Set<Integer> executorIds

  - ### excludeIds

    protected Set<Integer> excludeIds

  - ### idOrDescriptionLike

    protected String idOrDescriptionLike

- ## Constructor Details

  - ### ProcessLinkProcessSearchDAO

    public ProcessLinkProcessSearchDAO(Connection con)

  - ### ProcessLinkProcessSearchDAO

    public ProcessLinkProcessSearchDAO(Connection con, DynActionForm form)

- ## Method Details

  - ### withOpen

    public ProcessLinkProcessSearchDAO withOpen(Boolean value)
    Filter by process closing date
    Overrides:
      `withOpen` in class `ProcessSearchDAO`
    Parameters:
      `value` - `null` - no filter, or process closing date is not null
    Returns:

  - ### withType

    public ProcessLinkProcessSearchDAO withType(Set<Integer> value)
    Filter by process type ID
    Overrides:
      `withType` in class `ProcessSearchDAO`
    Parameters:
      `value` - `null` or empty - no filter, or set with type IDs
    Returns:

  - ### withLinkType

    public ProcessLinkProcessSearchDAO withLinkType(Set<String> value)
    Filter by process to process link type.
    Parameters:
      `value` - set of values from `Process.LINK_TYPE_DEPEND`, `Process.LINK_TYPE_LINK`, `Process.LINK_TYPE_MADE`.

  - ### order

    public ProcessLinkProcessSearchDAO order(Order value)
    Selection order.
    Overrides:
      `order` in class `ProcessSearchDAO`
    Parameters:
      `value` - enum value.
    Returns:

  - ### search

    public void search(Pageable<Pair<String,Process>> result, boolean link, int processId) throws SQLException
    Queries processes.
    Parameters:
      `result` - pageable result, first pair's param is `CommonObjectLink.getObjectType()`.
      `link` - `true` - child relations, `false` - parent.
      `processId` - process ID.
    Throws:
      `SQLException`

  - ### filterOpen

    protected void filterOpen(PreparedQuery pq)

  - ### filterType

    protected void filterType(PreparedQuery pq)

  - ### filterStatus

    protected void filterStatus(PreparedQuery pq)

  - ### filterExecutor

    protected void filterExecutor(PreparedQuery pq)

  - ### filterId

    protected void filterId(PreparedQuery pq)

  - ### filterIdOrDescriptionLike

    protected void filterIdOrDescriptionLike(PreparedQuery pq)

  - ### order

    protected void order(PreparedQuery pq)